Summary: gpsdrive is a GPS based navigation tool 
Name: gpsdrive
Version: svn.2593
Release: %mkrel 1
License: GPL
Group: Monitoring 
Source: %{name}.tar.xz
Source1: openstreetmap-map-icons-minimal.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Buildrequires: cmake libxml2-devel libfreetype6-devel libsqlite3-devel libcurl-devel mapnik-devel
Buildrequires: libboost-devel libspeechd-devel libgpsd-devel
Buildrequires: libgtk+2.0_0-devel libpango1.0-devel libgdk_pixbuf2.0_0-devel libwxgtk2.8-devel
Buildrequires: libatk1.0-devel
Requires: gpsd mapnik-python perl-WWW-Curl fonts-ttf-dejavu espeak speech-dispatcher
Provides: perl(Geo::OSM::EntitiesV3) perl(Geo::OSM::EntitiesV5)
Provides: perl(Geo::OSM::OsmReaderV3) perl(Geo::OSM::OsmReaderV5) perl(WWW::Curl::easy) 

%description
Gpsdrive is a map-based navigation system. It displays your position on a zoomable map provided from a NMEA-capable GPS receiver. The maps are autoselected for the best resolution, depending of your position, and the displayed image can be zoomed. Maps can be downloaded from the Internet with one mouse click. The program provides information about speed, direction, bearing, arrival time, actual position, and target position. Speech output is also available. MySQL is supported.
See http://www.gpsdrive.de for new releases.

%prep
%setup -q -n %{name}

%build
install -d build
cd build
# Our gdk-pixbuf headers are not where they are supposed to be
export CFLAGS="$RPM_OPT_FLAGS  -I/usr/include/gdk-pixbuf-2.0"
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/gdk-pixbuf-2.0"
cmake .. -DGPS_INCLUCDE_DIR=/usr/include -DSPEECHD_INCLUDE_DIR=/usr/include -DCMAKE_INSTALL_PREFIX=/usr -DWITH_NAVIGATION=ON
%make

%install
rm -rf $RPM_BUILD_ROOT
cd build
make DESTDIR=$RPM_BUILD_ROOT install

%__cat > %{buildroot}%{_datadir}/applications/gpsdrive.desktop <<EOF
[Desktop Entry]
Name=GpsDrive
Comment=GPS Navigation
Comment[de]=GPS Navigationsprogramm
Comment[da]=GPS Navigationsprogram
GenericName=GpsDrive moving Map Application
Exec=gpsdrive
Icon=gpsdrive
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Education-Geography;
StartupNotify=true
EOF

# Install needed icon set (strange this is not a part of the build or even tarball...) and needed db, why oh why ??
tar -xf %{SOURCE1} -C %{buildroot}

# Symlinks to fonts
install -d %{buildroot}%{_datadir}/fonts/truetype
ln -s %{_datadir}/fonts/TTF/dejavu %{buildroot}%{_datadir}/fonts/truetype/ttf-dejavu

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc INSTALL AUTHORS COPYING README ABOUT-NLS
%{_libdir}
%{_bindir}
%{_datadir}

%changelog
* Sun Nov 28 2010 Texstar <texstar at gmail.com> svn.2593-2pclos2010
- fixed incomplete changelog for MBantz name email revision

* Sat Nov 27 2010 MBantz <martin dot bantz at gmail dot com> svn.2593-1pclos2010
- First build

